Loading...
Searching...
No Matches
Halide::Runtime::Internal::Vulkan::VulkanSharedMemoryAllocation Struct Reference

`#include <vulkan_resources.h>`

## Public Attributes

uint32_t | constant_id = 0
uint32_t | type_size = 0
uint32_t | array_size = 0
const char * | variable_name = nullptr

## Detailed Description

Definition at line 35 of file vulkan_resources.h.

## Member Data Documentation

## constant_id

uint32_t Halide::Runtime::Internal::Vulkan::VulkanSharedMemoryAllocation::constant_id = 0

Definition at line 36 of file vulkan_resources.h.

## type_size

uint32_t Halide::Runtime::Internal::Vulkan::VulkanSharedMemoryAllocation::type_size = 0

Definition at line 37 of file vulkan_resources.h.

## array_size

uint32_t Halide::Runtime::Internal::Vulkan::VulkanSharedMemoryAllocation::array_size = 0

Definition at line 38 of file vulkan_resources.h.

## variable_name

const char* Halide::Runtime::Internal::Vulkan::VulkanSharedMemoryAllocation::variable_name = nullptr

Definition at line 39 of file vulkan_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/vulkan_resources.h